org.keycloak.dom.saml.v2.protocol

## Class AuthnQueryType

- java.lang.Object
- - org.keycloak.dom.saml.common.CommonRequestAbstractType
  - - org.keycloak.dom.saml.v2.protocol.RequestAbstractType
    - - org.keycloak.dom.saml.v2.protocol.SubjectQueryAbstractType
      - - org.keycloak.dom.saml.v2.protocol.AuthnQueryType

- All Implemented Interfaces:
    Serializable, SAML2Object

      public class AuthnQueryType
      extends SubjectQueryAbstractType

  Java class for AuthnQueryType complex type.

  The following schema fragment specifies the expected content contained within this class.

       <complexType name="AuthnQueryType">
         <complexContent>
           <extension base="{urn:oasis:names:tc:SAML:2.0:protocol}SubjectQueryAbstractType">
             <sequence>
               <element ref="{urn:oasis:names:tc:SAML:2.0:protocol}RequestedAuthnContext" minOccurs="0"/>
             </sequence>
             <attribute name="SessionIndex" type="{http://www.w3.org/2001/XMLSchema}string" />
           </extension>
         </complexContent>
       </complexType>

  See Also:
    Serialized Form

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `protected RequestedAuthnContextType` | `requestedAuthnContext`
    `protected String` | `sessionIndex`

    - ### Fields inherited from class org.keycloak.dom.saml.v2.protocol.SubjectQueryAbstractType

      `subject`

    - ### Fields inherited from class org.keycloak.dom.saml.v2.protocol.RequestAbstractType

      `consent, destination, extensions, issuer, version`

    - ### Fields inherited from class org.keycloak.dom.saml.common.CommonRequestAbstractType

      `id, issueInstant, signature`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `AuthnQueryType(String id, XMLGregorianCalendar instant)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `RequestedAuthnContextType` | `getRequestedAuthnContext()` Gets the value of the requestedAuthnContext property.
    `String` | `getSessionIndex()` Gets the value of the sessionIndex property.
    `void` | `setRequestedAuthnContext(RequestedAuthnContextType value)` Sets the value of the requestedAuthnContext property.
    `void` | `setSessionIndex(String value)` Sets the value of the sessionIndex property.

    - ### Methods inherited from class org.keycloak.dom.saml.v2.protocol.SubjectQueryAbstractType

      `getSubject, setSubject`

    - ### Methods inherited from class org.keycloak.dom.saml.v2.protocol.RequestAbstractType

      `getConsent, getDestination, getExtensions, getIssuer, getVersion, setConsent, setDestination, setExtensions, setIssuer`

    - ### Methods inherited from class org.keycloak.dom.saml.common.CommonRequestAbstractType

      `getID, getIssueInstant, getSignature, setSignature`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### requestedAuthnContext

          protected RequestedAuthnContextType requestedAuthnContext

    - #### sessionIndex

          protected String sessionIndex

  - ### Constructor Detail

    - #### AuthnQueryType

          public AuthnQueryType(String id,
                                XMLGregorianCalendar instant)

  - ### Method Detail

    - #### getRequestedAuthnContext

          public RequestedAuthnContextType getRequestedAuthnContext()

      Gets the value of the requestedAuthnContext property.
      Returns:
        possible object is `RequestedAuthnContextType`

    - #### setRequestedAuthnContext

          public void setRequestedAuthnContext(RequestedAuthnContextType value)

      Sets the value of the requestedAuthnContext property.
      Parameters:
        `value` - allowed object is `RequestedAuthnContextType`

    - #### getSessionIndex

          public String getSessionIndex()

      Gets the value of the sessionIndex property.
      Returns:
        possible object is `String`

    - #### setSessionIndex

          public void setSessionIndex(String value)

      Sets the value of the sessionIndex property.
      Parameters:
        `value` - allowed object is `String`

Copyright © 2021 JBoss by Red Hat. All rights reserved.